LibreOffice: CharacterPropertiesComplex Service Reference

LibreOffice LibreOffice 5.2 SDK API Reference

Public Attributes | List of all members
CharacterPropertiesComplex Service Referencepublished

This is a set of properties to describe the style of characters in complex texts. More...

`import"CharacterPropertiesComplex.idl";`

Inheritance diagram for CharacterPropertiesComplex:

## Public Attributes
float | CharHeightComplex
| This value contains the height of the characters in point. More...
float | CharWeightComplex
| This property contains the value of the font weight. More...
string | CharFontNameComplex
| This property specifies the name of the font style. More...
string | CharFontStyleNameComplex
| This property contains the name of the font style. More...
short | CharFontFamilyComplex
| This property contains font family as specified in com.sun.star.awt.FontFamily . More...
short | CharFontCharSetComplex
| This property contains the text encoding of the font as specified in com.sun.star.awt.CharSet. More...
short | CharFontPitchComplex
| This property contains the font pitch as specified in com.sun.star.awt.FontPitch. More...
com::sun::star::awt::FontSlant | CharPostureComplex
| This property contains the value of the posture of the document. More...
com::sun::star::lang::Locale | CharLocaleComplex
| contains the value of the locale. More...

## Detailed Description

This is a set of properties to describe the style of characters in complex texts.

Developers Guide
  Text - Formatting

## Member Data Documentation

## § CharFontCharSetComplex

short CharFontCharSetComplex
| property

This property contains the text encoding of the font as specified in com.sun.star.awt.CharSet.

## § CharFontFamilyComplex

short CharFontFamilyComplex
| property

This property contains font family as specified in com.sun.star.awt.FontFamily .

## § CharFontNameComplex

string CharFontNameComplex
| property

This property specifies the name of the font style.

It may contain more than one name separated by comma.

## § CharFontPitchComplex

short CharFontPitchComplex
| property

This property contains the font pitch as specified in com.sun.star.awt.FontPitch.

## § CharFontStyleNameComplex

string CharFontStyleNameComplex
| property

This property contains the name of the font style.

This property may be empty.

## § CharHeightComplex

float CharHeightComplex
| property

This value contains the height of the characters in point.

## § CharLocaleComplex

com::sun::star::lang::Locale CharLocaleComplex
| property

contains the value of the locale.

## § CharPostureComplex

com::sun::star::awt::FontSlant CharPostureComplex
| property

This property contains the value of the posture of the document.

See also
  com::sun::star::awt::FontSlant

## § CharWeightComplex

float CharWeightComplex
| property

This property contains the value of the font weight.

See also
  com::sun::star::awt::FontWeight

The documentation for this service was generated from the following file:

- com/sun/star/style/CharacterPropertiesComplex.idl